> For the complete documentation index, see [llms.txt](https://docs.yodl.me/yodl-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yodl.me/yodl-documentation/api/webhooks.md).

# Webhooks

For a high-level overview on how to integrate these API endpoints see [Integration Guide](/yodl-documentation/integration-guide.md).

This webhook specification needs to be implemented by the merchant backend. Upon payment confirmation and/or probabilistic finality the YODL.me backend calls this webhook. The backend has to query the YODL API for the complete transaction data to verify payment parameters and finalize the order.

The Webhook URL needs to be registered on the merchants YODL.me account.

## Callback after payment was created or updated

<mark style="color:green;">`POST`</mark> `https://WEBHOOK_URL/`

YODL.me backend triggers this webhook whenever a payment was created and a processing/finality status has changed.

Payment data needs to be fetched through [/pages/0I61q9Q82fgplhkZcuMG#return-dev-readable-payment-data.](https://docs.yodl.me/yodl-documentation/api/pages/0I61q9Q82fgplhkZcuMG#return-dev-readable-payment-data. "mention")

#### Request Body

| Name                                      | Type   | Description                   |
| ----------------------------------------- | ------ | ----------------------------- |
| chainId<mark style="color:red;">\*</mark> | String |                               |
| txHash<mark style="color:red;">\*</mark>  | String |                               |
| state<mark style="color:red;">\*</mark>   | String | Finality state of transaction |

{% tabs %}
{% tab title="200: OK Webhook is marked as successful." %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yodl.me/yodl-documentation/api/webhooks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
